package com.acme.structure.exception.persistent;

import com.acme.structure.exception.base.ApplicationException;
import com.acme.structure.exception.base.InfrastructureException;


public class ConstraintException extends InfrastructureException
{
    private String reason = "";

    public ConstraintException()
    {
        exceptionType = ApplicationException.EXCEPTION_TYPE_ERROR;
        exceptionCode = "08";
    }

    public ConstraintException(String reason)
    {
        exceptionType = ApplicationException.EXCEPTION_TYPE_ERROR;
        exceptionCode = "08";

        this.reason = reason;
    }

    @Override
    public String getReason()
    {
        return reason;
    }
}
